exception Lex_error of Lexing.position * Lexing.position * string
exception Syntax_error of Lexing.position * Lexing.position
exception Unclear_error of string * Lexing.position * Lexing.position

val pp_err_header : out_channel -> unit
val pp_err_loc : out_channel -> Lexing.position * Lexing.position -> unit

val parse : string -> Parsetree.file_t
